Last Comment Bug 681170 - aspect-ratio-1a.xhtml, canvas-1b.xhtml, aspect-ratio-3a.xhtml, aspect-ratio-3b.xhtml, aspect-ratio-1b.xhtml, canvas-1a.xhtml, poster-12.html | assertion count 1 is more than expected 0 "ASSERTION: RECURSION_LEVEL(table_) > 0, file pldhash.cpp, line 707"
: aspect-ratio-1a.xhtml, canvas-1b.xhtml, aspect-ratio-3a.xhtml, aspect-ratio-3...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 714445
Blocks: 438871 714420
  Show dependency treegraph
 
Reported: 2011-08-22 19:42 PDT by Phil Ringnalda (:philor, back in August)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor, back in August) 2011-08-22 19:42:04 PDT
http://tbpl.allizom.org/php/getParsedLog.php?id=6070629
Rev3 Fedora 12 mozilla-central debug test reftest on 2011-08-22 11:41:57 PDT for push 33e4aa663bba

REFTEST TEST-START | http://localhost:4444/1314038601315/186/webm-video/aspect-ratio-3-ref.xhtml
++DOMWINDOW == 36 (0x9f7c438) [serial = 11912] [outer = 0x99479d0]
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file ../../../layout/base/nsCSSFrameConstructor.cpp, line 3884
###!!! ASSERTION: RECURSION_LEVEL(table_) > 0: 'RECURSION_LEVEL(table) > 0', file pldhash.cpp, line 707
PL_DHashTableOperate [pldhash.cpp:707]
pref_HashTableLookup [prefapi.cpp:734]
PREF_GetIntPref [prefapi.cpp:519]
nsPrefBranch::GetIntPref [nsPrefBranch.cpp:204]
mozilla::Preferences::GetInt [Preferences.cpp:1153]
nsWebMReader::ReadMetadata [nsWebMReader.cpp:310]
nsBuiltinDecoderStateMachine::DecodeMetadata [nsBuiltinDecoderStateMachine.cpp:1190]
nsBuiltinDecoderStateMachine::DecodeThreadRun [nsBuiltinDecoderStateMachine.cpp:292]
nsRunnableMethodImpl<void (nsBuiltinDecoderStateMachine::*)(), true>::Run [nsThreadUtils.h:346]
nsThread::ProcessNextEvent [nsThread.cpp:631]
NS_ProcessNextEvent_P [nsThreadUtils.cpp:245]
nsThread::ThreadFunc [nsThread.cpp:271]
_pt_root [ptthread.c:190]
libpthread.so.0 + 0x5ab5
Comment 1 Phil Ringnalda (:philor, back in August) 2011-09-12 22:49:34 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=6383539&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test reftest on 2011-09-12 21:46:23 PDT for push ddb49b079701

REFTEST TEST-START | http://localhost:4444/1315889329456/314/webm-video/canvas-1a.xhtml
++DOMWINDOW == 72 (0B71FDB0) [serial = 12887] [outer = 06902D70]
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file e:/builds/moz2_slave/m-in-w32-dbg/build/layout/base/nsCSSFrameConstructor.cpp, line 3896
###!!! ASSERTION: RECURSION_LEVEL(table_) > 0: 'RECURSION_LEVEL(table) > 0', file e:/builds/moz2_slave/m-in-w32-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 707
REFTEST TEST-START | http://localhost:4444/1315889329456/314/webm-video/basic-1-ref.html
++DOMWINDOW == 73 (16A6BB00) [serial = 12888] [outer = 06902D70]
REFTEST TEST-PASS | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | image comparison (==)
REFTEST INFO | Loading a blank page
++DOMWINDOW == 74 (163D54F0) [serial = 12889] [outer = 06902D70]
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 2 Treeherder Robot 2011-10-04 17:40:24 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=6661731&tree=Try
Rev3 Fedora 12 try debug test reftest on 2011-10-03 16:49:39

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 3 Phil Ringnalda (:philor, back in August) 2011-10-19 20:55:15 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=6943626&tree=Mozilla-Inbound
Comment 4 Treeherder Robot 2011-10-24 08:33:28 PDT
jwatt
https://tbpl.mozilla.org/php/getParsedLog.php?id=7004279&tree=Try
Rev3 WINNT 5.1 try debug test reftest on 2011-10-24 07:03:49

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3b.xhtml | assertion count 1 is more than expected 0 assertions
Comment 5 Phil Ringnalda (:philor, back in August) 2011-10-31 14:30:24 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=7127210&tree=Firefox
Comment 6 Treeherder Robot 2011-11-08 01:48:21 PST
jacek
https://tbpl.mozilla.org/php/getParsedLog.php?id=7276733&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test reftest on 2011-11-08 00:57:55

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 7 Treeherder Robot 2011-11-08 17:15:42 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7294413&tree=Build-System
Rev3 MacOSX Leopard 10.5.8 build-system debug test reftest on 2011-11-08 16:33:25

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3b.xhtml | assertion count 1 is more than expected 0 assertions
Comment 8 Treeherder Robot 2011-11-09 23:25:23 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7324017&tree=Mozilla-Aurora
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test reftest on 2011-11-09 22:37:13

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 9 Treeherder Robot 2011-11-18 19:05:52 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7480470&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test reftest on 2011-11-18 18:04:58

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 10 Treeherder Robot 2011-11-21 01:18:09 PST
jfkthame%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7504884&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test reftest on 2011-11-21 00:48:51

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 11 Treeherder Robot 2011-11-21 14:19:51 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7515189&tree=Mozilla-Aurora
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test reftest on 2011-11-21 13:46:47

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 12 Treeherder Robot 2011-11-23 11:14:14 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7554340&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test reftest on 2011-11-23 10:43:47

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3b.xhtml | assertion count 1 is more than expected 0 assertions
Comment 13 Treeherder Robot 2011-11-23 11:15:11 PST
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7554340&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test reftest on 2011-11-23 10:43:47

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3b.xhtml | assertion count 1 is more than expected 0 assertions
Comment 14 Treeherder Robot 2011-11-23 16:38:54 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7559708&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test reftest on 2011-11-23 15:48:28

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 15 Treeherder Robot 2011-11-23 17:06:53 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7555881&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test reftest on 2011-11-23 12:24:47

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 16 Treeherder Robot 2011-11-24 10:26:23 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7570932&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test reftest on 2011-11-24 08:43:52

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 17 Treeherder Robot 2011-11-24 10:34:10 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7570266&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test reftest on 2011-11-24 08:00:43

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3b.xhtml | assertion count 1 is more than expected 0 assertions
Comment 18 Treeherder Robot 2011-11-24 16:03:50 PST
roc%ocallahan.org
https://tbpl.mozilla.org/php/getParsedLog.php?id=7574910&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test reftest on 2011-11-24 14:55:54

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3b.xhtml | assertion count 1 is more than expected 0 assertions
Comment 19 Treeherder Robot 2011-11-24 16:04:33 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7574910&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test reftest on 2011-11-24 14:55:54

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3b.xhtml | assertion count 1 is more than expected 0 assertions
Comment 20 Treeherder Robot 2011-12-01 20:36:03 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7692541&tree=Mozilla-Aurora
Rev3 Fedora 12x64 mozilla-aurora debug test reftest on 2011-12-01 15:44:31

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 21 Treeherder Robot 2011-12-01 23:47:46 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7700973&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test reftest on 2011-12-01 22:18:56

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 22 Treeherder Robot 2011-12-02 22:21:50 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7719972&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test reftest on 2011-12-02 21:44:29

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 23 Treeherder Robot 2011-12-03 13:59:51 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7730920&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test reftest on 2011-12-03 13:23:32

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 24 Phil Ringnalda (:philor, back in August) 2011-12-05 10:37:25 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=7753585&full=1&branch=mozilla-inbound#error0
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test reftest on 2011-12-05 08:07:05 PST for push c7bba86f5e02

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-2a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 25 Treeherder Robot 2011-12-08 09:43:36 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7828723&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test reftest on 2011-12-08 09:02:38

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 26 Treeherder Robot 2011-12-08 17:20:54 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7837341&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test reftest on 2011-12-08 15:12:46

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 27 Phil Ringnalda (:philor, back in August) 2011-12-09 12:15:40 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=7857344&tree=Mozilla-Inbound
Comment 28 Treeherder Robot 2011-12-11 15:59:24 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7879321&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test reftest on 2011-12-11 15:25:36

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1b.xhtml | assertion count 1 is more than expected 0 assertions
Comment 29 Phil Ringnalda (:philor, back in August) 2011-12-13 19:53:07 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=7918690&tree=Services-Central
Comment 30 Treeherder Robot 2011-12-14 03:08:24 PST
dRdR
https://tbpl.mozilla.org/php/getParsedLog.php?id=7924579&tree=Try
Rev3 WINNT 5.1 try debug test reftest on 2011-12-14 02:09:05

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-3a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 31 Treeherder Robot 2011-12-15 11:24:28 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7958401&tree=Mozilla-Aurora
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test reftest on 2011-12-15 10:41:11

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 32 Treeherder Robot 2011-12-26 19:23:50 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8166425&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test reftest on 2011-12-26 18:55:16

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 33 Treeherder Robot 2011-12-27 13:25:22 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8178295&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test reftest on 2011-12-27 12:26:44

REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 34 Phil Ringnalda (:philor, back in August) 2011-12-29 15:40:44 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8220493&tree=Mozilla-Inbound

###!!! ASSERTION: RECURSION_LEVEL(table_) > 0: 'RECURSION_LEVEL(table) > 0', file /builds/slave/m-in-lnx64-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 707
REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/aspect-ratio-1a.xhtml | assertion count 1 is more than expected 0 assertions
Comment 35 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-01-01 09:12:44 PST
Should be fixed by Bug 714445.
Comment 36 Treeherder Robot 2012-04-02 17:27:17 PDT
nthomas
https://tbpl.mozilla.org/php/getParsedLog.php?id=10581311&tree=Mozilla-Esr10
Rev3 Fedora 12x64 mozilla-esr10 debug test reftest on 2012-04-02 16:52:52

REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/webm-video/canvas-1b.xhtml | assertion count 1 is more than expected 0 assertions

Note You need to log in before you can comment on or make changes to this bug.